\documentclass[12pt]{article}
\usepackage{graphics,my,comb}
\usepackage{makeidx}

\graphicspath{{figures/}}

\oddsidemargin 0mm

\renewcommand{\sketch}{Sketch}
\renewcommand{\arule}{Rule}
\renewcommand\contentsname{Contents}
\renewcommand\refname{References}
\renewcommand\tablename{Table}
\usepackage{times}
\makeindex
%\flushbottom

\begin{document}
\title{ME3E course, multiple redundants, exercise, homework 8}
\author{Petr \v Re\v richa }
%\month{May}
%\year{1997}
%\date{}
\maketitle
%\tableofcontents

\topmargin -15mm
\topmargin -24mm
% the page size required by CVUT Edition center:
\textheight 250mm
\textwidth 160mm
\oddsidemargin 0mm
\footskip 10mm
\pagestyle{plain}
\textfloatsep 0pt

The examples complement section 3.7 - 3.8 of the lecture notes
'force and slope defl. methods' on the course web page. They
should substitute classes of the present 8th week of the semester.
Questions concerning the stuff, address please to
'petr.rericha@fsv.cvut.cz'. HW 8 should be delivered at the same address
by tuesday, April, 13th. If possible, process the homework
in a document processor (Word, Latex,..), scanned manuscripts are
acceptable, too. 

Internal forces, deformations, deflections
 and other quantities in the primary structure owing to given load
are indicated by subscript $_0$. Virtual external and internal forces 
are not marked by prefix $\delta$ but indicated 
by subscripts $_1$, $_2$,...
They are always the same as the actual  external and internal forces
in the primary structure loaded by the unit redundant force.
The load cases $_1$, $_2$,.. and their
quantities with the respective subscripts play thus two roles 
in the force method. 

The cross-section stiffnesses $EA=1$, $EJ=1$ are assumed in most examples
for brevity unless otherwise stated.

\section{Frame with 3 redundants}
\insFigUp{frame3-3redu.pdf}{\textwidth}
\[ \Delta_{0,1}={1\over 3}\cdot 20\cdot 4\cdot 4=106,~~~
  \Delta_{0,2}={1\over 2}\cdot 20\cdot 3\cdot 4=120\]
\[ \delta_{1,1}=2{1\over 3}\cdot 4^2\cdot 4=42.6,~~~
  \delta_{1,2}=0,~~~ \delta_{1,3}=-2{1\over 2}\cdot 4\cdot 4=-16 \]
\[ \delta_{2,3}=0,~~~\delta_{2,2}=2\cdot 3^2(4+{1\over 3}3)=90,~~~
   \delta_{3,3}= 1(2\cdot 4+6)=14 \]
The system of three compatibility equations in matrix tabular form
\[ \begin{array}{rrrr}
 X_1&X_2&X_3& load term\\
42.6& 0&-16&106\\
0&90&0&120\\
-16&0&14&-40
\end{array}
\]
yields the redundants
\[X_1= -2.5,~~~X_2=-1.33,~~~X_3=0. \]
Recall that there are two ways how to get the final bending moment
diagram (possibly other internal forces, reactions etc):
1. solving the primary structure loaded by given load + redundant forces,
2. by superposition $M= X_1M_1+X_2M_2+X_3M_3+...$, where any quantity
can be substituted for $M$. You are recommended to use both ways for
once to get the $M$ diagram.
\\
\section{Truss with 2 redundants}
The simplest plane truss with 2 redundants is loaded by homogen. 
temperature change $t$. Five joints are considered including the
joint at the intersection of members 1,4 and 2,3 although joint
5 could be omitted if it is not loaded. Here, however, deflections
are required at joint 5 and therefore it is retained. Also it is
retained for didactic reasons.
\\
\insFigUp{truss-5-mem.pdf}{\textwidth}
\\
\[ \begin{array}{cccccccccccccc}
mem&\varepsilon_t&N_1&N_2&\Delta_{0,1}&\Delta_{0,2}&\delta_{1,1}&\delta_{1,2}&
\delta_{2,2}&N&\delta_v&v&\delta_u&u\\
	1,5&0&0&1&0&0&0&0&1&-3.43&0.97&-6.7&0.58&-4\\
	2,5&0&1&0&0&0&1&0&0&0&0.97&0&-0.58&0\\
	3,5&0&1&0&0&0&1&0&0&0&0&0&0&0\\
	4,5&1&0&1&0&1&0&0&1&-3.43&0&0&0&0\\
	\hline
	&&&&0&1&2&0&2&&&-6.7&&-4\\
\end{array}
\]
The compatibility equations yield redundants:
\[ \begin{array}{ccc}
X_1&X_2&loadterm\\
2&0&0\\
0&2&1,\\
\end{array}
~~~~X_1=0,~~~X_2=-0.5\left({\bar \varepsilon_t EA\over l_{1,5}}\right)=
  -0.5\left({20\alpha  EA\over 5.83}\right)= 1.73\alpha EA \]
This simple solution could have been expected when one closely
inspects and ponders the left sketch with the task definition.
The presented solution with 2 redundants serves the didactic purpose,
nevertheless.
\\ Joint 5 must be used when deflections $u$ and $v$ are computed.
The primary structure loaded by the two virtual forces
\\
\insFigUp{truss-5-mem-uv.pdf}{\textwidth}
\\
allows to compute
\[ u=\sum \bar \varepsilon_i \delta N_i l_i= {X_2\over EA}\cdot 0.583 
  l_{1,5}= -\bar \varepsilon_t \cdot 0.5 \cdot 0.583=-\bar \varepsilon_t 
 \cdot 0.292= -20\alpha \cdot 0.292=-5.84 \alpha \]
\[ v= {X_2 \over EA}\cdot 0.972 l_{1,5}= -\bar \varepsilon_t \cdot 0.5
 \cdot 0.972= -\bar \varepsilon_t \cdot 0.485 =- 20\alpha \cdot  0.485=
 -9.7\alpha  \]
A simple check of the deflections can be performed. 
The joint 5 displacement vector must be normal to the member 2,3.
\[ \{-5.84, -9.7\}\left\{\begin{array}{c} -5\\3\end{array}\right\} =0\]
{\bf HW 8, due April 14th}
\\
Solve for the deflection $v$ in the statically indeterminate truss:
\\
\insFigUp{truss-2redun-v.pdf}{0.8\textwidth}
\newpage
HW 8 solution
\\
\insFigUp{truss-2redun-v-sol.pdf}{\textwidth}
\\
%%Here is the octave script to produce the table. The lEA, N0,N1,.. values
%%must be supplied, and member (double) indices in printf() commands.
%lEA=[2.27,1,1,1.414,1,1,1,1.414,1,2.27]';
%N0=[0,2,-1,-1.414,1,1,0,-1.414,0,0]';
%N1=[1,-1.79,0.45,0.62,-0.44,-1.34,0,0.62,0,0]';
%N2=[0,0.874,-1.316,-0.62,0.44,0.44,-0.88,-0.62,0.44,1]';
%D01=lEA.*N0.*N1;
%D02=lEA.*N0.*N2;
%d11=lEA.*N1.*N1;
%d12=lEA.*N1.*N2;
%d22=lEA.*N2.*N2;
%all=[lEA,N0,N1,N2,D01,D02,d11,d12,d22]
%sums=sum(all,1);
%C=[sums(7),sums(8);sums(8),sums(9)]
%psdefl=[sums(5);sums(6)]
%Xs=-C\psdefl
%N=N0+Xs(1).*N1+Xs(2).*N2
%all=[all,N]
%printf("mem&l/EA&N_0&N_1&N_2&\\Delta_{0,1}&\\Delta_{0,2}&\\delta_{1,1}&...
% \\delta_{1,2}&\\delta_{2,2}&N"); 
%printf("\\\\\n 1,6");
%printf("&%3.3f  ",all(1,:));
%printf("\\\\\n 2,4");
%printf("&%1.3f  ",all(2,:));
%printf("\\\\\n 3,5");
%printf("&%1.3f  ",all(3,:));
%printf("\\\\\n 3,4");
%printf("&%1.3f  ",all(4,:));
%printf("\\\\\n 4,5");
%printf("&%1.3f  ",all(5,:));
%printf("\\\\\n 4,6");
%printf("&%1.3f  ",all(6,:));
%printf("\\\\\n 5,7");
%printf("&%1.3f  ",all(7,:));
%printf("\\\\\n 5,6");
%printf("&%1.3f  ",all(8,:));
%printf("\\\\\n 6,7");
%printf("&%1.3f  ",all(9,:));
%printf("\\\\\n 7,8");
%printf("&%1.3f  ",all(10,:));
%printf("\\\\\n \\hline \n &&&& ");
%printf("&%1.3f  ",sums(5:9));
\[ \begin{array}{ccccccccccc}
mem&l/EA&N_0&N_1&N_2&\Delta_{0,1}&\Delta_{0,2}&\delta_{1,1}& \delta_{1,2}&\delta_{2,2}&N\\
 1,6&2.270  &0.000  &1.000  &0.000  &0.000  &0.000  &2.270  &0.000  &0.000  &0.723  \\
 1,4&1.000  &2.000  &-1.790  &0.874  &-3.580  &1.748  &3.204  &-1.564  &0.764  &0.280  \\
 3,5&1.000  &-1.000  &0.450  &-1.316  &-0.450  &1.316  &0.203  &-0.592  &1.732  &-0.033  \\
 3,4&1.414  &-1.414  &0.620  &-0.620  &-1.240  &1.240  &0.544  &-0.544  &0.544  &-0.664  \\
 4,5&1.000  &1.000  &-0.440  &0.440  &-0.440  &0.440  &0.194  &-0.194  &0.194  &0.468  \\
 4,6&1.000  &1.000  &-1.340  &0.440  &-1.340  &0.440  &1.796  &-0.590  &0.194  &-0.183  \\
 5,7&1.000  &0.000  &0.000  &-0.880  &0.000  &-0.000  &0.000  &-0.000  &0.774  &0.429  \\
 5,6&1.414  &-1.414  &0.620  &-0.620  &-1.240  &1.240  &0.544  &-0.544  &0.544  &-0.664  \\
 6,7&1.000  &0.000  &0.000  &0.440  &0.000  &0.000  &0.000  &0.000  &0.194  &-0.214  \\
 7,8&2.270  &0.000  &0.000  &1.000  &0.000  &0.000  &0.000  &0.000  &2.270  &-0.487  \\
 \hline 
 &&&& &-8.289  &6.423  &8.753  &-4.027  &7.208
\end{array}
\]
Compatibility equations read and suply
\[ \begin{array}{ccc}X_1&X_2& load\\8.75&-4.03&-8.29\\-4.03&7.21&6.42
  \end{array}~~~~\Rightarrow~~X_1=0.724,~~~X_2=0.486.  
\]
The final member forces are
\[ N=N_0+X_1N_1+X_2N_2 \]
Virtual stress state to compute $v$ is solved in the primary structure.
This is trivial task, just $\delta N_{3,5}=\delta N_{5,7}=1$, all
other member forces are 0.
Then
\[ v= l/EA (N_{3,5} \delta N_{3,5}+N_{5,7}\delta N_{5,7})=
  1(-0.3+0.43)=0.4\cdot \left({l\over EA}\right) \]


\end{document}
